> ## Documentation Index
> Fetch the complete documentation index at: https://docs.streambird.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet

> Get wallet using wallet ID.
## Returns

A successful response returns a `Wallet` object.



## OpenAPI

````yaml get /v1/wallets/{wallet_id}
openapi: 3.1.0
info:
  title: MoonKey Auth API
  description: >-
    Explore all the details of MoonKey Auth API. All of our APIs are RESTful and
    accept and return JSON.
  version: v1
servers:
  - url: https://api.moonkey.fun
    description: Production
    variables: {}
security:
  - Authorization: []
tags:
  - name: Users
    description: User management API
  - name: Magic Links
    description: ''
  - name: OTPs
    description: >-
      Send OTP (One-time passcodes) by all the supported delivery methods such
      as SMS, email.
  - name: OAuth
    description: ''
  - name: Wallets Login
    description: ''
  - name: Managed Wallets
    description: ''
  - name: Wallet Import
    description: >-
      Import existing wallets into the platform using secure HPKE encryption.
      This flow ensures raw entropy (seed phrases or private keys) never touches
      the server in plaintext.
externalDocs:
  url: ''
  description: ''
paths:
  /v1/wallets/{wallet_id}:
    parameters:
      - schema:
          type: string
        name: wallet_id
        in: path
        required: true
        description: Unique wallet ID of the wallet to retrieve.
    get:
      tags:
        - Managed Wallets
      summary: Get Wallet
      description: |-
        Get wallet using wallet ID.
        ## Returns

        A successful response returns a `Wallet` object.
      operationId: GetWallet
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  app_id:
                    type: string
                  user_id:
                    type: string
                  public_address:
                    type: string
                  wallet_type:
                    type: string
                  verified:
                    type: boolean
                  is_default:
                    type: boolean
                  is_read_only:
                    type: boolean
                  is_imported:
                    type: boolean
                  updated_at:
                    type: integer
                  created_at:
                    type: integer
              examples:
                GetWalletResp:
                  value:
                    id: wallet_2DEtMc9niawvKOlEcbPh06IWp4Y
                    app_id: app_25ldv51seNohTaYRsxdfoxMlAa2
                    user_id: user_26l6ha8syVN8oqmaHaFShTxZ5RC
                    public_address: mvVHTdXktpvndv71QfU9AekTebBvgdZb1e
                    wallet_type: bitcoin
                    verified: true
                    is_default: true
                    is_read_only: false
                    is_imported: false
                    updated_at: 1660276024
                    created_at: 1660276024
components:
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      description: >-
        Auth Platform API includes all the Auth related features. All Users,
        Phone Numbers, Emails, and OTPs are associated with an `App` as the
        container.


        Endpoints only accept App's `Secret API keys` other than certain
        endpoints that are used client side or via SDK that accept the
        `public_token`.


        ## Authentication using App Api Key


        ## Header:


        ```

        Authorization: Bearer {api_key}

        ```


        ## Authenticated Request


        ```curl

        curl \
          -X GET https://api.moonkey.fun/v1/auth/users/user_24wFP9pDa9YiMJLun94iKykoZs2 \
          -H "Authorization: Bearer sk_test_pRqweh3wvWmJAAVYv7Z0T5iPLzFM4ql0muoyQcjOxGeN3p1r"
        ```

````